#!/usr/bin/env sh
# First Parameter = Input File
# Second Parameter = Input File
# Third Parameter = Output Filename
# Other Parameters = Other EM Parameters

# This skript can be seen as a black-box capsulating the execution of EM. 
# First the Input Tracefile is converted, then EM is executed, finally the 
# result is converted into the standart XML-Map format.

# ATTENTION: Skript must be executed directly from its directory

if [ $# -eq 7 ]  #falls wir 7 Parameter haben
then

INPUT=$1
OUTPUT=$2
shift
shift

# Read directories and filenames
SCRIPTDIR="../scripts/"
TRACEFILE=`${SCRIPTDIR}EchoRefFileNameFromXML.tcl "$INPUT"`

# Create link to trace file in EM directory
\rm -f "local.trace"
\ln -f -s "$TRACEFILE" "local.trace"

# Execute EM
./Mapfit local $@

# Create XML Output
`${SCRIPTDIR}MAPToXML.tcl "local.map_out" "${OUTPUT}"`

# Remove local output
\rm -f local.trace
\rm -f local.result

else
 #sonst, dh wir haben 8 Parameter

INPUT_Trace=$1
INPUT_GFIT=$2
OUTPUT=$3
shift
shift
shift

# Read directories and filenames
SCRIPTDIR="../scripts/"
TRACEFILE=`${SCRIPTDIR}EchoRefFileNameFromXML.tcl "$INPUT_Trace"`

# Create link to trace file in EM directory
\rm -f "local.trace"
\ln -f -s "$TRACEFILE" "local.trace"

#Convert the G-Fit Output File
`${SCRIPTDIR}XMLMapToMAPEM.tcl "$INPUT_GFIT" "local.map_in"`

# Execute EM
./Mapfit local $@

# Create XML Output
`${SCRIPTDIR}MAPToXML.tcl "local.map_out" "${OUTPUT}"`

# Remove local output
\rm -f local.trace
\rm -f local.result
\rm -f local.map_in
fi


