#!/usr/bin/env sh
# First Parameter = Input Trace Filename
# Second Parameter = Input Filename PH distribution
# Third Parameter = Output filename
# Fourth Parameters = Number of Joint Moments

INPUT1=$1
INPUT2=$2
OUTPUT=$3
JMOMENTS=$4

# Read directories and filenames
SCRIPTDIR="../scripts/"
TRACEFILE=`${SCRIPTDIR}EchoRefFileNameFromXML.tcl "$INPUT1"`

# Create link to trace file in Momfit directory
\rm -f "local.trace"
\ln -f -s "$TRACEFILE" "local.trace"

cp -f "$INPUT2" "local.xml"

# Analyze trace file to determine moments
./modan.exe -trace=local.trace -traceformat=1 -moments=1 -jointmoments=$JMOMENTS -autocorrelation=0 -output=1
\rm -f local.acorr local.aweights local.moments local.jweights  local.weights
echo "1" > local.temp
cat local.jmoments >> local.temp
rm local.jmoments
mv local.temp local.jmoments

# Convert input PH distribution
./transcf.exe local.xml local.xml
`${SCRIPTDIR}XMLToPH.tcl "local.xml" "local.d0_out" "local.lambda_out" "local.pi_out"`
# Execute Momtrans
./Momtrans local
# Execute JMomfit
./Jmomfit local

# Create XML Output
`${SCRIPTDIR}MAPToXML.tcl "local.map_jmom" "${OUTPUT}"`

# Remove local output
\rm -f local.trace
\rm -f local.d0_out local.pi_out local.lambda_out local.d0_mom local.jmoments local.pi_mom local.map_jmom

