#!/usr/bin/env sh
# First Parameter = Input File
# Second Parameter = Output Filename
# Other Parameters = Other Modgen Parameters

# This skript can be seen as a black-box capsulating the execution of modgen.
# First the XML-Map is converted, then modgen is executed, finally the XML-Trace
# file for the result is created.

# ATTENTION: Skript must be executed directly from its directory

INPUT=$1
OUTPUT=$2
shift
shift

# Read directories and filenames
SCRIPTDIR="../scripts/"

# Create local input file
#${SCRIPTDIR}XMLMapToModgen.tcl ${INPUT} local.in

# Execute modgen
./modgen.exe -paramfile="${INPUT}" -trace="${OUTPUT}.trace" -traceFormat=1 $@
#\rm -f local.in

# Create XML-File for the resulting trace
${SCRIPTDIR}TraceToXMLTraceWithValueCount.sh "${OUTPUT}.trace" "${OUTPUT}"


