#!/usr/bin/env sh
# First Parameter = Input Trace Filename
# Second Parameter = Output Filename (PH distribution)
# Third Parameter = Number of moments
# Other Parameters = Other Momfit parameters

INPUT=$1
OUTPUT=$2
MOMENTS=$3
shift
shift
shift

# Read directories and filenames
SCRIPTDIR="../scripts/"
TRACEFILE=`${SCRIPTDIR}EchoRefFileNameFromXML.tcl "$INPUT"`

# Create link to trace file in Momfit directory
\rm -f "local.trace"
\ln -f -s "$TRACEFILE" "local.trace"

# Analyze trace file to determine moments
./modan.exe -trace=local.trace -traceformat=1 -moments=$MOMENTS -jointmoments=1 -autocorrelation=0 -output=1
\rm -f local.acorr local.aweights local.jmoments local.jweights  local.weights

# Execute Momfit
./Momfit local $@

# Create XML Output
`${SCRIPTDIR}PHToXML.tcl "local.d0_out" "local.pi_out" "${OUTPUT}"`

# Remove local output
\rm -f local.trace
\rm -f local.d0_out local.pi_out local.lambda_out local.moments

