#!/usr/bin/env sh
# 1st Parameter = sevice time of the server
# 2nd Parameter = maximum buffer size
# 3rd Parameter = simulation time
# 4th Parameter = Output Filename 
# 5th Parameter = Input Filetype
# 6th Parameter = Input Filename



SERVTIME=$1
MAXBUF=$2
SIMTIME=$3
OUTPUT=$4

shift
shift
shift
shift

INPUTTYPE=$1
INPUTNAME=$2

shift
shift


#create Files in local Directory and write values into it

#write into the omnetpp.ini file

echo "set terminal postscript enhanced color landscape \"Times-Roman\" 18"  > queuelength.gp
echo "set key top right" >> queuelength.gp
echo "set logscale y" >> queuelength.gp
echo "set xlabel \"queue length\"" >> queuelength.gp
echo "set ylabel \"probability\"" >> queuelength.gp
echo "set style data linespoints" >> queuelength.gp
echo "set output '$OUTPUT.ps'"  >> queuelength.gp
echo -n "plot "  >> queuelength.gp
DELIM=""

while [ "$INPUTTYPE" != "" ] 
do



# Input parsen und abschneiden
toParse=$INPUTNAME


while [ "$toParse" != "$( echo ${toParse#*/} )" ] 
do

toParse=$( echo ${toParse#*/} )

done

while [ "$toParse" != "$( echo ${toParse%.*} )" ] 
do

toParse=$( echo ${toParse%.*} )

done

#echo "$toParse" > unterstricheEntfernen.txt
#sed 's/_/\\\_/g' unterstricheEntfernen.txt > Entfernen.txt
#toParse=  r Entfernen.txt 

bfr=$( echo ${toParse%_*} )
aftr=$( echo ${toParse#*_} )


toParse="$bfr\\\_$aftr" 


# General

echo "[General]" > omnetpp.ini
echo "**.server.serviceTime = $SERVTIME" >> omnetpp.ini
echo "**.server.buffer = $MAXBUF" >> omnetpp.ini
echo "sim-time-limit = $SIMTIME" >> omnetpp.ini
echo "output-scalar-file = $INPUTNAME.sca" >> omnetpp.ini

# Config Trace

if [ "$INPUTTYPE" = "-trace" ] 
then

echo "[Config Trace]" >> omnetpp.ini
echo "description = "Arrivals from Trace"" >> omnetpp.ini
echo "network = trace" >> omnetpp.ini
echo "**.traceArrival.tracefile = \"$INPUTNAME\"" >> omnetpp.ini

./queue -u Cmdenv -c Trace
./omnet2gnuplot.tcl "$INPUTNAME"


echo -n "$DELIM '$INPUTNAME.dat' using 1:2 title \"$toParse\" lw 6" >> queuelength.gp 
DELIM=", "

INPUTTYPE=$1
INPUTNAME=$2

shift
shift

# Config Process

else

echo "[Config Process]" >> omnetpp.ini
echo "description = "Arrivals from Stochastic Process"" >> omnetpp.ini
echo "network = process" >> omnetpp.ini
echo "**.arrivalProcess.model = xmldoc(\"$INPUTNAME\")" >> omnetpp.ini

./queue -u Cmdenv -c Process
./omnet2gnuplot.tcl "$INPUTNAME"

echo -n "$DELIM '$INPUTNAME.dat' using 1:2 title \"$toParse\" lw 6" >> queuelength.gp 
DELIM=", "

INPUTTYPE=$1
INPUTNAME=$2

shift
shift

fi


done

gnuplot queuelength.gp
#../scripts/ModgenPSToXMLPS.sh "$OUTPUT.ps" "$OUTPUT.xml"


